<ng-container *transloco="let t; read: 'profile'">
  <div class="spacing">
    <div
      *ngIf="userProfile"
      class="user-profile-container">
      <h1>{{t('user_profile')}}</h1>
      <div class="row-container">
        <app-profile-avatar-picture-card
          class="avatar"
          [pictureUrl]="userProfile.profile_picture_url"
          (editClicked)="openUserAvatarDialog.emit()">
        </app-profile-avatar-picture-card>
        <app-profile-details-card
          class="details"
          [userDetails]="userProfile.details"
          (editClicked)="openUserDetailsDialog.emit()">
        </app-profile-details-card>
      </div>
      <div class="row-container stretch">
        <app-profile-user-data-card
          class="user-data"
          [userContactData]="userProfile.contact_data"
          [roles]="userProfile.user_roles"
          [currentLanguage]="currentLanguage"
          (setLanguage)="setLanguage.emit($event)">
        </app-profile-user-data-card>
        <app-profile-contact-card
          class="contact"
          [userContactData]="userProfile.contact_data"
          (editClicked)="openUserContactDataDialog.emit()">
        </app-profile-contact-card>
      </div>
      <app-profile-account-control-card
        (changeClicked)="changePasswordClicked.emit()"
        (deleteClicked)="deleteProfileClicked.emit()">
      </app-profile-account-control-card>
    </div>
  </div>
</ng-container>
